Works
Urantia Parallels for a Work
The 10 Urantia paragraphs closest in meaning to the chunk that holds this unit. The reference must name one unit.
The Urantia parallels are semantic, not curated. They show the paragraphs closest in meaning by embedding similarity. They do not claim that two teachings are the same.
GET
/
works
/
{work}
/
{ref}
/
urantia-parallels
Top 10 Urantia paragraphs for one unit of a work
curl --request GET \
--url https://api.urantia.dev/works/{work}/{ref}/urantia-parallelsimport requests
url = "https://api.urantia.dev/works/{work}/{ref}/urantia-parallels"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.urantia.dev/works/{work}/{ref}/urantia-parallels', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.urantia.dev/works/{work}/{ref}/urantia-parallels",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.urantia.dev/works/{work}/{ref}/urantia-parallels"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.urantia.dev/works/{work}/{ref}/urantia-parallels")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.urantia.dev/works/{work}/{ref}/urantia-parallels")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"data": {
"work": {
"id": "bible",
"title": "The Bible (World English Bible)",
"tradition": "Jewish and Christian"
},
"reference": "John 3:16",
"text": "For God so loved the world, that he gave his only born Son, that whoever believes in him should not perish, but have eternal life.",
"url": "https://ebible.org/eng-web/JHN03.htm#V16",
"urantiaParallels": [
{
"standardReferenceId": "142:6.6",
"paperTitle": "The Passover at Jerusalem",
"sectionTitle": "The Visit with Nicodemus",
"text": "Nicodemus replied: “But I do not understand — how can that be?” Said Jesus: “Can it be that you are a teacher in Israel and yet ignorant of all this? It becomes, then, the duty of those who know about the realities of the spirit to reveal these things to those who discern only the manifestations of the material world. But will you believe us if we tell you of the heavenly truths? Do you have the courage, Nicodemus, to believe in one who has descended from heaven, even the Son of Man?”",
"similarity": 0.699646,
"rank": 1
},
{
"standardReferenceId": "174:5.7",
"paperTitle": "Tuesday Morning in the Temple",
"sectionTitle": "The Inquiring Greeks",
"text": "“He who believes this gospel, believes not merely in me but in Him who sent me. When you look upon me, you see not only the Son of Man but also Him who sent me. I am the light of the world, and whosoever will believe my teaching shall no longer abide in darkness. If you gentiles will hear me, you shall receive the words of life and shall enter forthwith into the joyous liberty of the truth of sonship with God. If my fellow countrymen, the Jews, choose to reject me and to refuse my teachings, I will not sit in judgment on them, for I came not to judge the world but to offer it salvation. Nevertheless, they who reject me and refuse to receive my teaching shall be brought to judgment in due season by my Father and those whom he has appointed to sit in judgment on such as reject the gift of mercy and the truths of salvation. Remember, all of you, that I speak not of myself, but that I have faithfully declared to you that which the Father commanded I should reveal to the children of men. And these words which the Father directed me to speak to the world are words of divine truth, everlasting mercy, and eternal life.",
"similarity": 0.689726,
"rank": 2
}
]
}
}{
"type": "https://urantia.dev/errors/not-found",
"title": "Not Found",
"status": 404,
"detail": "Paragraph not found"
}{
"type": "https://urantia.dev/errors/not-found",
"title": "Not Found",
"status": 404,
"detail": "Paragraph not found"
}{
"type": "https://urantia.dev/errors/not-found",
"title": "Not Found",
"status": 404,
"detail": "Paragraph not found"
}{
"type": "https://urantia.dev/errors/not-found",
"title": "Not Found",
"status": 404,
"detail": "Paragraph not found"
}Path Parameters
"bible", or a work id such as "bhagavad-gita" (its ref prefix also works: "bg").
Required string length:
1 - 64A unit (John 3:16, 2.47, Dhp 183), a short range (John 3:16-18, 2.47-49), or a whole chapter (John 3, 2).
Required string length:
1 - 40Response
The unit with its top 10 Urantia paragraphs
Show child attributes
Show child attributes
⌘I
Top 10 Urantia paragraphs for one unit of a work
curl --request GET \
--url https://api.urantia.dev/works/{work}/{ref}/urantia-parallelsimport requests
url = "https://api.urantia.dev/works/{work}/{ref}/urantia-parallels"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.urantia.dev/works/{work}/{ref}/urantia-parallels', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.urantia.dev/works/{work}/{ref}/urantia-parallels",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.urantia.dev/works/{work}/{ref}/urantia-parallels"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.urantia.dev/works/{work}/{ref}/urantia-parallels")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.urantia.dev/works/{work}/{ref}/urantia-parallels")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"data": {
"work": {
"id": "bible",
"title": "The Bible (World English Bible)",
"tradition": "Jewish and Christian"
},
"reference": "John 3:16",
"text": "For God so loved the world, that he gave his only born Son, that whoever believes in him should not perish, but have eternal life.",
"url": "https://ebible.org/eng-web/JHN03.htm#V16",
"urantiaParallels": [
{
"standardReferenceId": "142:6.6",
"paperTitle": "The Passover at Jerusalem",
"sectionTitle": "The Visit with Nicodemus",
"text": "Nicodemus replied: “But I do not understand — how can that be?” Said Jesus: “Can it be that you are a teacher in Israel and yet ignorant of all this? It becomes, then, the duty of those who know about the realities of the spirit to reveal these things to those who discern only the manifestations of the material world. But will you believe us if we tell you of the heavenly truths? Do you have the courage, Nicodemus, to believe in one who has descended from heaven, even the Son of Man?”",
"similarity": 0.699646,
"rank": 1
},
{
"standardReferenceId": "174:5.7",
"paperTitle": "Tuesday Morning in the Temple",
"sectionTitle": "The Inquiring Greeks",
"text": "“He who believes this gospel, believes not merely in me but in Him who sent me. When you look upon me, you see not only the Son of Man but also Him who sent me. I am the light of the world, and whosoever will believe my teaching shall no longer abide in darkness. If you gentiles will hear me, you shall receive the words of life and shall enter forthwith into the joyous liberty of the truth of sonship with God. If my fellow countrymen, the Jews, choose to reject me and to refuse my teachings, I will not sit in judgment on them, for I came not to judge the world but to offer it salvation. Nevertheless, they who reject me and refuse to receive my teaching shall be brought to judgment in due season by my Father and those whom he has appointed to sit in judgment on such as reject the gift of mercy and the truths of salvation. Remember, all of you, that I speak not of myself, but that I have faithfully declared to you that which the Father commanded I should reveal to the children of men. And these words which the Father directed me to speak to the world are words of divine truth, everlasting mercy, and eternal life.",
"similarity": 0.689726,
"rank": 2
}
]
}
}{
"type": "https://urantia.dev/errors/not-found",
"title": "Not Found",
"status": 404,
"detail": "Paragraph not found"
}{
"type": "https://urantia.dev/errors/not-found",
"title": "Not Found",
"status": 404,
"detail": "Paragraph not found"
}{
"type": "https://urantia.dev/errors/not-found",
"title": "Not Found",
"status": 404,
"detail": "Paragraph not found"
}{
"type": "https://urantia.dev/errors/not-found",
"title": "Not Found",
"status": 404,
"detail": "Paragraph not found"
}
